#! /bin/sh /usr/share/dpatch/dpatch-run
## 20-fix-dso-linking.dpatch by Toby Smithe <tsmithe@ubuntu.com>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: The linker in wheezy/natty does not use indirect shared libraries
## DP: for symbol resolution. This patch makes explicit any implicit deps.

@DPATCH@
diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' musescore-1.0~/mscore/mscore/CMakeLists.txt musescore-1.0/mscore/mscore/CMakeLists.txt
--- musescore-1.0~/mscore/mscore/CMakeLists.txt	2011-02-04 21:13:12.000000000 +0000
+++ musescore-1.0/mscore/mscore/CMakeLists.txt	2011-02-14 22:58:43.561222385 +0000
@@ -187,6 +187,9 @@
       ${AUDIO}
       )
 
+# gold does not use indirect shared libraries for symbol resolution
+target_link_libraries(mscore dl rt)
+
 if (STATIC_SCRIPT_BINDINGS)
       target_link_libraries(mscore
             qtscript_core
